Package com.collabnet.ce.soap60.types

# Class SoapNamedValues

java.lang.Object
com.collabnet.ce.soap60.types.SoapNamedValues

public class SoapNamedValues extends Object
Represents named values for SOAP. For multi-select fields, the name is repeated for each value set. For example, for a multi-select field named days_of_week where MWF are set, getNames() returns {"days_of_week", "days_of_week", "days_of_week"} and getValues() returns {"Monday", "Wednesday", "Friday"} }.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoapNamedValues()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Equals for comparisons
  `String[]`
  `getNames()`
  Returns array of names.
  `String[]`
  `getValues()`
  Returns array of values.
  `int`
  `hashCode()`
  Use parent hashcode
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  Register this SOAP type for Axis.
  `void`
  `setNames(String[] names)`
  Sets array of names.
  `void`
  `setValues(String[] values)`
  Sets array of values.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SoapNamedValues

    public SoapNamedValues()

- ## Method Details

  - ### getNames

    public String[] getNames()
    Returns array of names.
    Returns:
      Name array.

  - ### setNames

    public void setNames(String[] names)
    Sets array of names.
    Parameters:
      `names` - Name array.

  - ### getValues

    public String[] getValues()
    Returns array of values.
    Returns:
      Value array.

  - ### setValues

    public void setValues(String[] values)
    Sets array of values.
    Parameters:
      `values` - Value arrays.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)
    Register this SOAP type for Axis.
    Parameters:
      `call` - Axis call object.

  - ### equals

    public boolean equals(Object o)
    Equals for comparisons
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - Compare to object
    Returns:
      Equals or not

  - ### hashCode

    public int hashCode()
    Use parent hashcode
    Overrides:
      `hashCode` in class `Object`
    Returns:
      Hashcode of parent